Subject: Re: [PATCH v3 2/3] win32: allow building with pedantic mode enabled

From: Junio C Hamano <[email-masked]>
Date: Tue, 28 Sep 2021 10:37:29 -0700

Carlo Arenas <[email-masked]> writes:

> On Mon, Sep 27, 2021 at 4:04 PM Jonathan Tan <[email-masked]> wrote:
>>
>> > +ifneq ($(filter gcc5,$(COMPILER_FEATURES)),)
>> > +DEVELOPER_CFLAGS += -Wno-incompatible-pointer-types
>> > +endif
>>
>> I noticed today that I wasn't warned about some incompatible function
>> pointer signatures (that I expected to be warned about) due to this
>> line - could the condition of adding this compiler flag be further
>> narrowed down? gcc -v says:
>
> Apologies; it is gone already in "seen" (and hopefully soon in "next")
> by merging js/win-lazyload-buildfix[1]

I will mark it not ready for 'next', while waiting for a fix-up.
Thanks for stopping me.